Job Title
To view all job titles:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/jobTitle
GET /api/v2/jobTitle HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"pageToken": "0",
"requestedPageSize": 50,
"itemCount": 3,
"items": [
{
"jobTitleId": 1,
"name": "Finance",
"title": "CASHB",
"status": "active"
},
{
"jobTitleId": 7,
"name": "Operations",
"title": "OPSBO",
"status": "active"
},
{
"jobTitleId": 10,
"name": "Logistics",
"title": "OPSLO",
"status": "setup"
}
]
}To create a new job title:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
jobTitlestringRequired
namestringRequired
titlestringRequired
Responses
200
Successful response
No content
post/api/v2/jobTitle
POST /api/v2/jobTitle HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"jobTitle": "text",
"name": "text",
"title": "text"
}200
Successful response
No content
To view details for a specific job title:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobTitleIdstringRequired
Responses
200
Successful response
application/json
jobTitleIdstringOptional
namestringOptional
titlestringOptional
statusstringOptional
get/api/v2/jobTitle/{jobTitleId}
GET /api/v2/jobTitle/{jobTitleId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"jobTitleId": "10",
"name": "Logistics",
"title": "OPSLO",
"status": "setup"
}To update a specific job title:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobTitleIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
Responses
200
Successful response
application/json
jobTitleIdstringOptional
namestringOptional
titlestringOptional
statusstringOptional
patch/api/v2/jobTitle/{jobTitleId}
PATCH /api/v2/jobTitle/{jobTitleId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"name": "text",
"title": "text",
"status": "text"
}200
Successful response
{
"jobTitleId": "10",
"name": "Logistics",
"title": "OPSLO",
"status": "active"
}Last updated
Was this helpful?